Bug 318855 - 'Help/Check for Updates' should not be disabled when Firefox doesn't have write access to itself, but should perform check anyway (and, on Linux, prompt for root password). r=beltzner, approval1.9.1=beltzner
authorRobert Strong <robert.bugzilla@gmail.com>
Thu, 01 Jan 2009 14:28:03 -0800
changeset 23239 dce664edeace
parent 23238 5a1e6eac685c
child 23240 59c1cdb2cf7e
push id4406
push userrstrong@mozilla.com
push dateThu, 01 Jan 2009 22:28:34 +0000
treeherdermozilla-central@dce664edeace [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersbeltzner
bugs318855
milestone1.9.2a1pre
Bug 318855 - 'Help/Check for Updates' should not be disabled when Firefox doesn't have write access to itself, but should perform check anyway (and, on Linux, prompt for root password). r=beltzner, approval1.9.1=beltzner
toolkit/locales/en-US/chrome/mozapps/update/updates.dtd
--- a/toolkit/locales/en-US/chrome/mozapps/update/updates.dtd
+++ b/toolkit/locales/en-US/chrome/mozapps/update/updates.dtd
@@ -7,16 +7,23 @@
 <!ENTITY  updateCheck.label               "Looking for newer versions of &brandShortName;…">
 
 <!ENTITY  noupdatesfound.title            "No Updates Found">
 <!ENTITY  noupdatesautoenabled.intro      "There are no updates available. &brandShortName; will check
                                            periodically for updates.">
 <!ENTITY  noupdatesautodisabled.intro     "There are no updates available. Please check again later or enable
                                            &brandShortName;'s automatic update checking.">
 
+<!ENTITY  manualUpdate.title              "Unable to Update">
+<!ENTITY  manualUpdate.desc               "A recommended security and stability update is available, but you do
+                                           not have the system permissions required to install it. Please contact your
+                                           system administrator, or try again from an account that has permission to
+                                           install software on this computer.">
+<!ENTITY  manualUpdateGetMsg.label        "You can always get the latest version of Firefox at:">
+
 <!ENTITY  incompatibleCheck.title         "Checking Add-on Compatibility">
 <!ENTITY  incompatibleCheck.label         "Looking for newer versions of your add-ons…">
 
 <!ENTITY  clickHere.label                 "View more information about this update">
 
 <!ENTITY  evangelism.desc                 "It is strongly recommended that you apply this 
                                            update for &brandShortName; as soon as possible.">